Go to the first, previous, next, last section, table of contents.

### history options

Several options (shown above as ``-report'`) control what kind of report is generated:

`-c`
  Report on each time commit was used (i.e., each time the repository was modified).
`-e`
  Everything (all record types); equivalent to specifying ``-xMACFROGWUT'`.
`-m module`
  Report on a particular module. (You can meaningfully use ``-m'` more than once on the command line.)
`-o`
  Report on checked-out modules.
`-T`
  Report on all tags.
`-x type`
  Extract a particular set of record types type from the CVS history. The types are indicated by single letters, which you may specify in combination. Certain commands have a single record type:
  `F`
    release
  `O`
    checkout
  `T`
    rtag
  One of four record types may result from an update:
  `C`
    A merge was necessary but collisions were detected (requiring manual merging).
  `G`
    A merge was necessary and it succeeded.
  `U`
    A working file was copied from the repository.
  `W`
    The working copy of a file was deleted during update (because it was gone from the repository).
  One of three record types results from commit:
  `A`
    A file was added for the first time.
  `M`
    A file was modified.
  `R`
    A file was removed.

The options shown as ``-flags'` constrain or expand the report without requiring option arguments:

`-a`
  Show data for all users (the default is to show data only for the user executing `history`).
`-l`
  Show last modification only.
`-w`
  Show only the records for modifications done from the same working directory where `history` is executing.

The options shown as ``-options args'` constrain the report based on an argument:

`-b str`
  Show data back to a record containing the string str in either the module name, the file name, or the repository path.
`-D date`
  Show data since date. This is slightly different from the normal use of ``-D date'`, which selects the newest revision older than date.
`-p repository`
  Show data for a particular source repository (you can specify several ``-p'` options on the same command line).
`-r rev`
  Show records referring to revisions since the revision or tag named rev appears in individual RCS files. Each RCS file is searched for the revision or tag.
`-t tag`
  Show records since tag tag was last added to the the history file. This differs from the ``-r'` flag above in that it reads only the history file, not the RCS files, and is much faster.
`-u name`
  Show records for user name.

Go to the first, previous, next, last section, table of contents.